Get History

Beta
Gets an appointment along with it's full history. The return list is ordered by version ascending.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequired
The unique identifier for an Appointment.

Response

This endpoint returns a list of objects.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
idstring
The unique identifier for an Appointment.
organization_idstring
The organization that owns this object.
patient_idstring

The Candid-defined patient identifier.

service_durationinteger
The requested length of time allotted for the appointment. The units are in minutes.
serviceslist of objects
start_timestampdatetime
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
appointment_detailsstringOptional
attending_doctorobjectOptional
Attending physician information. The attending physician will be stored as the Current MD for the patient.
automated_eligibility_check_completebooleanOptional
True if the automated eligibility check has been completed. It is not recommended to change this value manually via API. This refers explicitly to the automated eligibility check that occurs a specific number of days before the appointment.
checked_in_timestampdatetimeOptional

The timestamp when the patient checked in for their appointment. If status is CHECKED_IN, checked_in_timestamp must be set. If checked_in_timestamp is set, status must be CHECKED_IN.

estimated_copay_centsintegerOptional
estimated_patient_responsibility_centsintegerOptional
The estimated amount the patient will be responsible for paying at the time of service. This does not include the copay.
location_resource_idstringOptional

Contains the coded identification of the location being scheduled. Components: <Identifier (ST)>^<Text (ST)>

not_ready_reasonenumOptional

The reason the appointment is NOT_READY. Must only be set when status is NOT_READY; it is cleared otherwise. It is not recommended to change this value manually via API.

notesstringOptional
patient_deposit_centsintegerOptional
placer_appointment_idstringOptional

ID for the appointment/order for the event.

ready_sourceenumOptional

The method that set the appointment status to READY. It is not recommended to change this value manually via API. Must only be set when the status is READY or CHECKED_IN, it is cleared otherwise.

statusenumOptional

Defaults to PENDING. If status is NOT_READY, work_queue must be set. If status is READY or CHECKED_IN, work_queue must be null. If status is CHECKED_IN, checked_in_timestamp must be set. If checked_in_timestamp is set, status must be CHECKED_IN.

work_queueenumOptional

The work queue that the appointment belongs to. It is not recommended to change this value manually via API. If status is NOT_READY, work_queue must be set. If status is READY, work_queue must be null.

Errors

404
Not Found Error